// Copyright (C) 1999-2015
// Smithsonian Astrophysical Observatory, Cambridge, MA, USA
// For conditions of distribution and use, see copyright notice in "copyright"

#ifndef __colorbarrgbtruecolor_h__
#define __colorbarrgbtruecolor_h__

#include "colorbarrgb.h"
#include "colorbartrue.h"

class ColorbarRGBTrueColor : public virtual ColorbarBase, 
  public ColorbarRGB, public ColorbarTrue {
 private:
  int initColormap();

 protected:
  void updateColorCells();

public:
  ColorbarRGBTrueColor(Tcl_Interp*, Tk_Canvas, Tk_Item*);
};

#endif
